%define module_name Spork-Shlomify
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI.pm) perl(Cwd.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(Spoon.pm) perl(Spork.pm) perl(Spork/Config.pm) perl(Spork/Formatter.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(mixin.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0400
Release: alt1
Summary: An improved Spork.
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/Spork-Shlomify

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is an improved Spork derivative. What it does is:

1. Allow `[Text http://www.myurl.tld/]' formatting.

2. Create a central `slide.css' CSS stylesheet.

You can build presentations with it using the shspork executable.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/S*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Feb 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.0400-alt1
- updated by package builder

* Mon May 28 2018 Igor Vlasenko <viy@altlinux.ru> 0.0204-alt1
- regenerated from template by package builder

* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.0203-alt1
- regenerated from template by package builder

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.0202-alt1
- regenerated from template by package builder

* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.0201-alt1
- initial import by package builder

